# Uses of Class
org.astrogrid.samp.web.WebHubProfile.ServerFactory

Packages that use WebHubProfile.ServerFactory
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of WebHubProfile.ServerFactory in org.astrogrid.samp.web

Constructors in org.astrogrid.samp.web with parameters of type WebHubProfile.ServerFactory
Modifier
Constructor
Description
``
`WebHubProfile(WebHubProfile.ServerFactory serverFactory, ClientAuthorizer auth, MessageRestriction mrestrict, KeyGenerator keyGen, boolean controlUrls)`
Constructs a profile with configuration options.